PULSAR

Get Tags

Retrieves all the tags of the company of the user.

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Query Parameters

subject?string

Filter by subject.

Value in

  • "Machines"
  • "Shifts"
  • "StopGeneralCauses"
  • "StopSpecificCauses"
  • "Components"
  • "Stops"
tagKey?string

Filter by tag key.

Response Body

application/json

Try it live
GET
/tags

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/tags"
[  {    "id": "52907745-7672-470e-a803-a2f8feb52944",    "sort": 0.1,    "color": "string",    "description": "string",    "isDefault": true,    "tagValue": "string",    "tagKey": "string",    "subject": "Machines",    "companyId": 0.1  }]